Bug 462346 - UnownedDirectories /usr/share/evolution-exchange/ and subdirs
UnownedDirectories /usr/share/evolution-exchange/ and subdirs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 11:49 EDT by sangu
Modified: 2008-09-18 11:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-18 11:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-09-15 11:49:31 EDT
Description of problem:
$ ls -al /usr/share/evolution-exchange/
total 40
drwxr-xr-x   8 root root  4096 2008-05-18 23:06 .
drwxr-xr-x 351 root root 12288 2008-09-16 00:27 ..
drwxr-xr-x   5 root root  4096 2006-10-29 22:50 2.10
drwxr-xr-x   5 root root  4096 2007-06-03 10:59 2.12
drwxr-xr-x   5 root root  4096 2007-11-11 12:50 2.22
drwxr-xr-x   5 root root  4096 2008-05-18 23:06 2.24
drwxr-xr-x   5 root root  4096 2006-03-01 18:10 2.6
drwxr-xr-x   5 root root  4096 2006-05-15 18:48 2.8


$ rpm -qf /usr/share/evolution-exchange/
file /usr/share/evolution-exchange is not owned by any package
$ rpm -qf /usr/share/evolution-exchange/2.24/
file /usr/share/evolution-exchange/2.24 is not owned by any package
$ rpm -qf /usr/share/evolution-exchange/2.24/*
file /usr/share/evolution-exchange/2.24/glade is not owned by any package
file /usr/share/evolution-exchange/2.24/images is not owned by any package
file /usr/share/evolution-exchange/2.24/ui is not owned by any package

https://fedoraproject.org/wiki/PackagingDrafts/UnownedDirectories#Forgetting_to_Include_a_Toplevel_Directory

How about this?

%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/%{evo_major}
%dir %{_datadir}/%{name}/%{evo_major}/glade
%dir %{_datadir}/%{name}/%{evo_major}images
%dir %{_datadir}/%{name}/%{evo_major}/ui

Version-Release number of selected component (if applicable):
2.23.92-1.fc10

How reproducible:
alwasys

Steps to Reproduce:
1. $ rpm -qf /usr/share/evolutio-exchange/2.24/*
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Barnes 2008-09-18 11:06:53 EDT
Fixed in evolution-exchange-2.23.92-2.fc10.

Note You need to log in before you can comment on or make changes to this bug.